List workflows
curl --request GET \
--url https://api.reelevant.com/v2/workflows \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.reelevant.com/v2/workflows"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.reelevant.com/v2/workflows', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"paginationCount": 123,
"paginationPage": 123,
"paginationLimit": 123,
"status": "success",
"program": "<string>",
"version": "<string>",
"datetime": "<string>",
"message": "<string>",
"data": [
{
"_id": "<string>",
"name": "<string>",
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"hierarchy": [
"<string>"
],
"archivedAt": "2023-11-07T05:31:56Z",
"hidden": true,
"integrations": [
{
"type": "web",
"id": "<string>",
"workflowId": "<string>",
"shortId": "<string>",
"domain": "<string>",
"enabled": true,
"includeContext": true,
"includeDatalayerPath": [
"<string>"
],
"waitForEvents": [
"<string>"
],
"filters": {
"type": "and",
"conditions": [
{
"operator": "empty",
"field": "<string>",
"values": [
"<string>"
]
}
]
},
"code": "<string>",
"selector": "<string>",
"emplacement": "replace"
}
],
"companyId": "<string>",
"resourceGroupIds": [
"<string>"
],
"versions": [
{
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"definition": {
"nodes": {},
"entrypoints": {},
"edges": {}
},
"analyze": {
"entrypointsByBranches": [
{
"branch": "<string>",
"entrypointIds": [
"<string>"
]
}
],
"branches": [
"<string>"
],
"individualizedBranches": [
"<string>"
],
"branchesScore": {},
"defaultBranches": [
"<string>"
],
"usedDatasourceFields": {},
"branchesInfos": {},
"entrypointsPerDataNodeId": {},
"entrypointsPerPathId": {},
"entrypointTypes": [
"<string>"
],
"entrypointFormats": [
"<string>"
],
"categoryIdByBranch": {},
"branchTags": [
{
"tagKeyId": "<string>",
"tagValueId": "<string>",
"branchId": "<string>"
}
],
"outputsForEntrypoint": {},
"datasForEntrypoint": {}
},
"metadata": {},
"analyzeOverrides": {
"vertexIndividualizedScore": {},
"customVertexNames": [
{
"vertexId": "<string>",
"name": "<string>"
}
],
"branchCategoryIds": {},
"branchTags": [
{
"tagKeyId": "<string>",
"tagValueId": "<string>",
"branchId": "<string>"
}
]
},
"lastSavedBy": "<string>",
"changeDescription": "<string>",
"complexityScore": 123
}
],
"description": "<string>",
"variableProfileId": "<string>"
}
],
"code": 123
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Query Parameters
Filter on workflows ids
Filter on workflows that contains that string in the name
Filter on workflows with on of those resource groups
Filter on workflows with one of those statuses
draft, publishing, published, error, inactive Display archived workflows
Display hidden workflows
name desc Filter on workflows with a specific hierarchy path. Pass an array of strings representing the folder path (e.g., ["Marketing", "Q4"] for Marketing > Q4). Empty array or omitted returns root-level workflows (default behavior).
List of fields you want to get, by default the whole workflow with versions is returned.
But you can choose to return only ['name'] to have data: [{ id: 'bar', name: 'foo' }].
Note: id is always returned
x >= 1x >= 1email Response
Ok
Was this page helpful?
